Bug 404204 - Failure to export a TIFF file from a multi layered file with groups [Krita 4.2.0-pre-alpha (git d556b73)]
Summary: Failure to export a TIFF file from a multi layered file with groups [Krita 4....
Status: RESOLVED FIXED
Alias: None
Product: krita
Classification: Unclassified
Component: File formats (show other bugs)
Version: nightly build (please specify the git hash!)
Platform: Microsoft Windows Microsoft Windows
: NOR normal
Target Milestone: ---
Assignee: Dmitry Kazakov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-02-11 14:22 UTC by Regis
Modified: 2019-04-23 19:47 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Regis 2019-02-11 14:22:51 UTC
When trying to export a multi layered KRA file to a single layer TIFF file, it fails if the KRA file has layer groups.

In this case it shows an error window with the following message:

"Error: cannot save this image as a image TIFF.Reasons:
-The image contains layers of unsupported type Group Layer. Only the  rendered result will be saved."

At this point, you can just click OK but it won't save anything. You have to manually flatten your image or you cannot export to TIFF.

Krita

  Version: 4.2.0-pre-alpha (git d556b73)

Qt

  Version (compiled): 5.9.3
  Version (loaded): 5.9.3

OS Information

  Build ABI: x86_64-little_endian-llp64
  Build CPU: x86_64
  CPU: x86_64
  Kernel Type: winnt
  Kernel Version: 10.0.17134
  Pretty Productname: Windows 10 (10.0)
  Product Type: windows
  Product Version: 10
Comment 1 Halla Rempt 2019-02-11 15:52:56 UTC
Yes, I saw that happen recently as well.
Comment 2 Regis 2019-02-12 09:26:35 UTC
(In reply to Boudewijn Rempt from comment #1)
> Yes, I saw that happen recently as well.

I think there could be something causing problems with layer groups on a more general scale: I also reported this bug https://bugs.kde.org/show_bug.cgi?id=404200 - could it be technically related?

I've also encountered another bug, just one time (but haven't had the chance to reproduce it yet), where parts of grouped layers had disappeared when I used the transform tool to move groups around... I'll try to find a way to reproduce it.
Comment 3 Dmitry Kazakov 2019-04-23 19:47:19 UTC
Git commit 59b7e838dc5cd0f4e573b1cee0aa81e6fb1022dc by Dmitry Kazakov.
Committed on 23/04/2019 at 19:47.
Pushed by dkazakov into branch 'master'.

Fix TIFF export filter to flatten images with group layers

We can still save into TIFF if we flatten the image

M  +10   -1    plugins/impex/tiff/kis_tiff_export.cc

https://invent.kde.org/kde/krita/commit/59b7e838dc5cd0f4e573b1cee0aa81e6fb1022dc